"""main URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/2.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import include, path, re_path

import nalodeni.urls

urlpatterns = [
    #path('admin/', admin.site.urls),
    path('', include(nalodeni.urls)),

    # SSO
    path('sso/', include('keycloak_oidc.urls')),
]


#   Javascript translations
from django.views.i18n import JavaScriptCatalog
urlpatterns += [
    path('jsi18n/nalodeni/',
        JavaScriptCatalog.as_view(packages=['nalodeni']),
        name='js-cat-website'),
]


